apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.33.0 (3ce457399)
  labels:
    io.kompose.service: dashy
  name: dashy
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: dashy
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.33.0 (3ce457399)
      labels:
        io.kompose.network/dashy-default: "true"
        io.kompose.service: dashy
    spec:
      containers:
        - env:
            - name: NODE_ENV
              value: production
          image: lissy93/dashy
          livenessProbe:
            exec:
              command:
                - node
                - /app/services/healthcheck
            failureThreshold: 3
            initialDelaySeconds: 40
            periodSeconds: 90
            timeoutSeconds: 10
          name: dashy
          ports:
            - containerPort: 8080
              hostPort: 4000
              protocol: TCP
      restartPolicy: Always
